cmake_minimum_required(VERSION 2.8.11)

ADD_DEFINITIONS(-D_POSIX_THREADS  -DHAVE_THREAD_LS -DNDEBUG -pthread -DNO_DSA -DNO_PSK -DNO_DH -DNO_MD4 -DNO_HC128 -DNO_RABBIT -DHAVE_HASHDRBG -DNO_PWDBASED -DUSE_FAST_MATH)


ADD_DEFINITIONS(-DOPENSSL_EXTRA -DHAVE_ERRNO_H -DHAVE_GETHOSTBYNAME -DHAVE_GETHOSTBYNAME 
				-DHAVE_INET_NTOA -DHAVE_LIMITS_H -DHAVE_MEMSET -DHAVE_SOCKET -DHAVE_STDDEF_H
				-DHAVE_STDLIB_H -DHAVE_STRING_H -DHAVE_SYS_STAT_H -DHAVE_SYS_TYPES_H)

set(WOLFSSL_INCLUDE_PATH "${CMAKE_SOURCE_DIR}/3P/wolfssl/" "${CMAKE_SOURCE_DIR}/3P/wolfssl/wolfssl")

include_directories(${WOLFSSL_INCLUDE_PATH})
